From 2ac417ad7089bc8fd3d0a80b0d101c57aac17231 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 13 Jan 2009 10:49:20 +0530
Subject: [PATCH] Break dependencies for graphviz

Do not build packages for mono, etc.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 graphviz.spec |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/graphviz.spec b/graphviz.spec
index 40c835f..0aa8795 100644
--- a/graphviz.spec
+++ b/graphviz.spec
@@ -7,12 +7,12 @@
 Name:    graphviz
 Summary: Graph Visualization Tools
 Version: 2.16.1
-
+%define minbuild 0
 %define truerelease 0.6
 %{?distroagnostic: %define release %{truerelease}}
 %{!?distroagnostic: %define release %{truerelease}%{?dist}}
 
-Release: %{?release}
+Release: %{?release}.fa1
 
 Group:   Applications/Multimedia
 License: CPL
@@ -123,12 +123,15 @@ BuildRequires: xorg-x11-devel
 %define IPSEPCOLA --with-ipsepcola
 %endif
 %if 0%{?fedora} >= 4
+%if !%{minbuild}
 %define RUBY   1
 %define GUILE  1
 %define PYTHON 1
 BuildRequires: libtool-ltdl libtool-ltdl-devel ruby ruby-devel guile-devel python-devel
 %endif
+%endif
 %if 0%{?fedora} >= 5
+%if !%{minbuild}
 %define PHP    1
 %define JAVA   1
 BuildRequires: libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel java-devel php-devel
@@ -138,26 +141,35 @@ BuildRequires: libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel li
 BuildRequires: mono-core ocaml
 %endif
 %endif
+%endif
 %if 0%{?fedora} >= 6
+%if !%{minbuild}
 %define LUA    1
 %define PANGOCAIRO --with-pangocairo
 BuildRequires: cairo-devel >= 1.1.10 pango-devel gmp-devel lua-devel gtk2-devel libgnomeui-devel
 %endif
+%endif
 %if 0%{?fedora} >= 7
+%if !%{minbuild}
 %define DEVIL 1
 %define MYLIBGD --without-mylibgd
 %define GDK_PIXBUF --with-gdk-pixbuf
 BuildRequires: gd gd-devel perl-devel DevIL-devel
 %endif
+%endif
 %if 0%{?fedora} >= 8
+%if !%{minbuild}
 #define R_LANG 1
 #BuildRequires: R-devel swig >= 1.3.33
 %endif
+%endif
 %if 0%{?fedora} >= 9
+%if !%{minbuild}
 %define MING 0
 #BuildRequires: ming ming-devel
 %endif
 %endif
+%endif
 
 #-- main graphviz rpm ------------------------------------------------
 Requires:         urw-fonts
-- 
1.5.3.3

